Name:       satellite-clone
Version:    1.1.4
Release:    1%{?dist}
Summary:    Tool to install and restore a functioning Satellite from backup
Source0:    https://codeload.github.com/RedHatSatellite/satellite-clone/tar.gz/%{version}#/%{name}-%{version}.tar.gz
Group:      System Environment/Base
License:    LGPLv3
URL:        https://github.com/RedHatSatellite/satellite-clone
Requires:   ansible >= 2.1.0
Requires:   ruby >= 2.0.0
BuildArch:  noarch

%description
This package will install Satellite and restore content from a backup.
It is meant to be used on a blank (clean install) RHEL 7 machine.

%prep

%setup -q

%install
mkdir -p %{buildroot}/%{_datadir}/satellite-clone
mkdir -p %{buildroot}/%{_sysconfdir}/satellite-clone
cp -r * %{buildroot}/%{_datadir}/satellite-clone
cp %{buildroot}/%{_datadir}/satellite-clone/satellite-clone-vars.sample.yml %{buildroot}/%{_sysconfdir}/satellite-clone/satellite-clone-vars.yml
ln -sf %{_sysconfdir}/satellite-clone/satellite-clone-vars.yml %{buildroot}/%{_datadir}/satellite-clone/satellite-clone-vars.yml
mkdir -p %{buildroot}%{_sbindir}
cp packaging/satellite-clone.rb %{buildroot}%{_sbindir}/satellite-clone

%files
%defattr(-,root,root,-)
%{_datadir}/satellite-clone/*
%{_datadir}/satellite-clone/satellite-clone-vars.yml
%config(noreplace) %{_sysconfdir}/satellite-clone/satellite-clone-vars.yml
%attr(750, root, root) %{_sbindir}/satellite-clone
%doc LICENSE
%exclude %{_datadir}/docs/

%changelog
* Wed May 31 2017 jomitsch <jomitsch@redhat.com> 1.1.0-1
- Released 1.1.0
